#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2-3|tr '-' '.')
%define		aname		%(echo %{sname} | cut -d '.' -f1)
%define		bname		%(echo %{sname} | cut -d '.' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-zope-component
Version		:	6.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Zope Component Architecture
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ZPLv2.1
URL		:	https://pypi.io

Source0		:	%{sname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-pep517
BuildRequires	:	python-wheel
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-pytest
BuildRequires	:	python3-setuptools
BuildRequires	:	python3-sphinx
BuildRequires	:	python3-zope-event
BuildRequires	:	python3-zope-configuration
BuildRequires	:	python3-zope-hookable
BuildRequires	:	python3-zope-i18nmessageid
BuildRequires	:	python3-zope-interface
BuildRequires	:	python3-zope-schema

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
This package represents the core of the Zope Component
Architecture.
Together with the 'zope.interface' package, it provides
facilities for defining, registering and looking up components.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc CHANGES.rst COPYRIGHT.txt README.rst
%{python3_sitelib}/%{aname}/%{bname}/configure.zcml
%{python3_sitelib}/%{aname}/%{bname}/meta.zcml
%{python3_sitelib}/%{aname}/%{bname}/*.py
%{python3_sitelib}/%{aname}/%{bname}/__pycache__/*.pyc
%{python3_sitelib}/%{aname}/%{bname}/testfiles/*.py
%{python3_sitelib}/%{aname}/%{bname}/testfiles/__pycache__/*.pyc
%{python3_sitelib}/%{aname}/%{bname}/testfiles/testlayer.zcml
%{python3_sitelib}/%{aname}/%{bname}/tests/*.py
%{python3_sitelib}/%{aname}/%{bname}/tests/__pycache__/*.pyc
%{python3_sitelib}/%{aname}.%{bname}-%{version}.dist-info/
%{python3_sitelib}/%{aname}.%{bname}-%{version}-*-nspkg.pth

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__python}						\
	-m installer					\
	--destdir=test_dir				\
	dist/*.whl

export PYTHONPATH="$(pwd)/test_dir/%{python3_sitelib}:$PYTHONPATH"

pytest 							\
	-vv						\
	--ignore $(pwd)/test_dir/%{python3_sitelib}/%{aname}/%{bname}/tests/test_persistentregistry.py \
	--ignore $(pwd)/test_dir/%{python3_sitelib}/%{aname}/%{bname}/tests/test_interface.py \
	$(pwd)/test_dir/%{python3_sitelib}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl
#-----------------------------------------------------------------------------
%changelog
